# Read a booking and receipt (/docs/api-reference/api/v1/sponsors/bookings/id/get)

`GET https://mmb-blurware-alpha.vercel.app/api/v1/sponsors/bookings/{id}`

Read a booking and receipt

Requires sponsor:read. Account ownership and current admin membership are checked independently of key scopes. All times are UTC epoch milliseconds. List responses are cursor-paginated. Booking creation requires a UUID idempotencyKey; repeating it returns the same reservation. Browser sessions use the same service with same-origin mutation protection.

Operation ID: `sponsorship_bookings_get`

OpenAPI document: https://mmb-blurware-alpha.vercel.app/openapi.json

## Authentication

Required bearer token: `Authorization: Bearer $MMB_API_KEY`.

## Request

### Path parameters

```json
[
  {
    "schema": {
      "type": "string"
    },
    "required": true,
    "name": "id",
    "in": "path"
  }
]
```

## Responses

### `200` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "booking": {
      "type": "object",
      "properties": {
        "packageKind": {
          "type": "string",
          "enum": [
            "website",
            "youtube",
            "bundle"
          ]
        },
        "packageDescription": {
          "type": "string"
        },
        "youtubeStatus": {
          "type": "string",
          "enum": [
            "planned",
            "published"
          ]
        },
        "youtubeUrl": {
          "type": "string"
        },
        "youtubeNotes": {
          "type": "string"
        },
        "demo": {
          "type": "boolean"
        },
        "id": {
          "type": "string"
        },
        "campaignId": {
          "type": "string"
        },
        "campaignName": {
          "type": "string"
        },
        "slotName": {
          "type": "string"
        },
        "weekStart": {
          "type": "number"
        },
        "weekEnd": {
          "type": "number"
        },
        "amountCents": {
          "type": "number"
        },
        "currency": {
          "type": "string"
        },
        "status": {
          "type": "string",
          "enum": [
            "reserved",
            "checkout",
            "paid",
            "expired",
            "cancelled",
            "refunding",
            "refunded"
          ]
        },
        "mode": {
          "type": "string",
          "enum": [
            "test",
            "live"
          ]
        },
        "createdAt": {
          "type": "number"
        },
        "receiptUrl": {
          "type": "string"
        },
        "refundedCents": {
          "type": "number"
        },
        "paymentIssue": {
          "type": "string"
        },
        "impressions": {
          "type": "number"
        },
        "clicks": {
          "type": "number"
        },
        "sponsorName": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "campaignId",
        "campaignName",
        "slotName",
        "weekStart",
        "weekEnd",
        "amountCents",
        "currency",
        "status",
        "mode",
        "createdAt",
        "impressions",
        "clicks"
      ]
    }
  },
  "required": [
    "booking"
  ]
}
```

### `400` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `401` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `403` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `404` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `409` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `429` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```

### `503` — Response

**application/json**

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "retryAfter": {
      "type": "number"
    }
  },
  "required": [
    "error",
    "message"
  ]
}
```